Skip to main content
GET
/
api
/
v1
/
jobs
/
{id}
Get job
curl --request GET \
  --url https://app.outhire.ai/api/v1/jobs/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.outhire.ai/api/v1/jobs/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.outhire.ai/api/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 40,
    "title": "Senior Engineer",
    "department_id": 1,
    "is_active": true,
    "is_public": false,
    "locations": [
      "Sydney, Australia"
    ],
    "location_type": "remote",
    "salary": {
      "min": 120000,
      "max": 160000,
      "currency": "AUD"
    },
    "apply_url": "https://app.outhire.ai/jobs/abc123",
    "screening_questions": [],
    "created_at": "2026-03-11T10:21:54.289003Z",
    "updated_at": "2026-03-11T10:21:54.544000Z"
  }
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
}
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Numeric job id.

Response

Job

Wrapper for a single job resource.

data
object
required

Public representation of a job post.

Example:
{
"id": 40,
"title": "Senior Engineer",
"department_id": 1,
"is_active": true,
"is_public": false,
"locations": ["Sydney, Australia"],
"location_type": "remote",
"salary": {
"min": 120000,
"max": 160000,
"currency": "AUD"
},
"apply_url": "https://app.outhire.ai/jobs/abc123",
"screening_questions": [],
"created_at": "2026-03-11T10:21:54.289003Z",
"updated_at": "2026-03-11T10:21:54.544000Z"
}